## pn 0.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project("pn" VERSION 0.9.0)

include(CheckIncludeFiles)

find_library(
	LIBPHONENUMBER
	phonenumber
	PATHS
	/usr/local/lib
)

find_library(
	LIBGEOCODING
	geocoding
	PATHS
	/usr/local/lib
)

find_library(
	LIBICUUC
	icuuc
	PATHS
	/usr/local/lib
)

include_directories(
	BEFORE
	SYSTEM
	/usr/local/include
)

check_include_files(
	"stdio.h;errno.h;stdio.h;stddef.h;string.h;stdlib.h;sys/types.h;sys/stat.h;gawkapi.h"
	HAVE_GAWK_H
)

add_compile_definitions(VERSION=\"${PROJECT_VERSION}\")

if(${LIBPHONENUMBER-NOTFOUND})
	message(FATAL_ERROR "could not find prerequisite: libphonenumber")
endif(${LIBPHONENUMBER-NOTFOUND})

if(${LIBGEOCODING-NOTFOUND})
	message(FATAL_ERROR "could not find prerequisite: libgeocoding")
endif(${LIBGEOCODING-NOTFOUND})

if(${LIBICUUC-NOTFOUND})
	message(FATAL_ERROR "could not find prerequisite: libicuuc")
endif(${LIBICUUC-NOTFOUND})

add_executable(
	pn
	src/pn.cc
)

target_link_libraries(
	pn
	${LIBICUUC}
	${LIBPHONENUMBER}
	${LIBGEOCODING}
)

install(
	TARGETS pn
	RUNTIME DESTINATION bin
)

install(
	FILES pn.1
	DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1
)

if( HAVE_GAWK_H )
	add_library(
		gawkpn
		SHARED
		gawkext/gawkpnwrap.c
		gawkext/gawkpnimpl.cc
	)

	set_target_properties(gawkpn PROPERTIES PREFIX "")

	target_link_libraries(
		gawkpn
		${LIBICUUC}
		${LIBPHONENUMBER}
		${LIBGEOCODING}
	)

	execute_process(
		COMMAND
			gawk "BEGIN {print ENVIRON[\"AWKLIBPATH\"]}"
		OUTPUT_VARIABLE
			AWKLIBPATH
		OUTPUT_STRIP_TRAILING_WHITESPACE
	)

	install(
		TARGETS gawkpn
		DESTINATION ${AWKLIBPATH}
	)
endif( HAVE_GAWK_H )

=== debian/changelog ===
pn (0.9.0-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Aug 2022 14:47:07 +0200

=== debian/control ===
Source: pn
Section: x11
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
 gawk,
 cmake,
 libphonenumber-dev,
 libicu-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/Orange-OpenSource/pn
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/pn
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/pn.git
Rules-Requires-Root: no

Package: pn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libphonenumber command-line wrapper, and GNU AWK extension
 pn is a tool that allows command line user/programmers to operate on phone
 numbers (get validity information, reformat them, or extract numbers from a
 text snippet), using libphonenumber.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/Orange-OpenSource/pn/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
